using SewerStammGen.Shared.Contracts;
using SewerStammGen.Shared.Domain;
using SewerStammGen.Shared.Enum;
using Shared.Contracts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WWTech_KanalSchnittstelle.Exporter.Kandis
{
    public class KANDIS60 : IExport
    {
        public async Task<bool> Export(string projektname,EKodierungssystem kodierungssystem, List<Kanal> haltungen, List<Schacht> schaechte, IWWLog log)
        {
            KANDIS_HALTUNG60 haltung = new KANDIS_HALTUNG60(projektname, haltungen, log);
            KANDIS_SCHACHT60 hauptschacht = new KANDIS_SCHACHT60(projektname, schaechte.FindAll(x => x.SchachtType == ESchachtType.Hauptkanal), log);
            KANDIS_HAUSREV60 revisschacht = new KANDIS_HAUSREV60(projektname, schaechte.FindAll(x => x.SchachtType == ESchachtType.Revisionschacht), log);
            return true;
        }
    }
}
